For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETList settlements (owner)
      • GETGet a settlement
      • POSTRoll up a settlement period (admin)
      • POSTPay a settlement (admin) — triggers M-Pesa B2C
LogoLogo
DashboardGet started
Generated API ExplorerSettlements

Roll up a settlement period (admin)

POST
/v1/admin/settlements/rollup
POST
/v1/admin/settlements/rollup
$curl -X POST https://api.lipafy.xyzyz/v1/admin/settlements/rollup \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "period_start": "2024-01-15T09:30:00Z",
> "period_end": "2024-01-15T09:30:00Z"
>}'
200Successful
1{}
Was this page helpful?
Previous

Pay a settlement (admin) — triggers M-Pesa B2C

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
period_startdatetimeRequired
period_enddatetimeRequired
capability_idstringOptionalformat: "uuid"

Response

OK